Skip to main content
GET
/
api
/
v1
/
active_launch_plans
/
{project}
/
{domain}
List active versions of :ref:`ref_flyteidl.admin.LaunchPlan`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/active_launch_plans/{project}/{domain}
{
  "launch_plans": [
    {
      "id": {
        "resource_type": "UNSPECIFIED",
        "project": "<string>",
        "domain": "<string>",
        "name": "<string>",
        "version": "<string>",
        "org": "<string>"
      },
      "spec": {
        "workflow_id": {
          "resource_type": "UNSPECIFIED",
          "project": "<string>",
          "domain": "<string>",
          "name": "<string>",
          "version": "<string>",
          "org": "<string>"
        },
        "entity_metadata": {
          "schedule": {
            "cron_expression": "<string>",
            "rate": {
              "value": 123,
              "unit": "MINUTE"
            },
            "cron_schedule": {
              "schedule": "<string>",
              "offset": "<string>"
            },
            "kickoff_time_input_arg": "<string>"
          },
          "notifications": [
            {
              "phases": [
                "UNDEFINED"
              ],
              "email": {
                "recipients_email": [
                  "<string>"
                ],
                "template": "<string>"
              },
              "pager_duty": {
                "recipients_email": [
                  "<string>"
                ],
                "template": "<string>"
              },
              "slack": {
                "recipients_email": [
                  "<string>"
                ],
                "template": "<string>"
              }
            }
          ],
          "launch_conditions": {
            "@type": "<string>"
          }
        },
        "default_inputs": {
          "parameters": {}
        },
        "fixed_inputs": {
          "literals": {}
        },
        "role": "<string>",
        "labels": {
          "values": {}
        },
        "annotations": {
          "values": {}
        },
        "auth": {
          "assumable_iam_role": "<string>",
          "kubernetes_service_account": "<string>"
        },
        "auth_role": {
          "assumable_iam_role": "<string>",
          "kubernetes_service_account": "<string>"
        },
        "security_context": {
          "run_as": {
            "iam_role": "<string>",
            "k8s_service_account": "<string>",
            "oauth2_client": {
              "client_id": "<string>",
              "client_secret": {
                "group": "<string>",
                "group_version": "<string>",
                "key": "<string>",
                "mount_requirement": "ANY",
                "env_var": "<string>"
              }
            },
            "execution_identity": "<string>"
          },
          "secrets": [
            {
              "group": "<string>",
              "group_version": "<string>",
              "key": "<string>",
              "mount_requirement": "ANY",
              "env_var": "<string>"
            }
          ],
          "tokens": [
            {
              "name": "<string>",
              "type": "CLIENT_CREDENTIALS",
              "client": {
                "client_id": "<string>",
                "client_secret": {
                  "group": "<string>",
                  "group_version": "<string>",
                  "key": "<string>",
                  "mount_requirement": "ANY",
                  "env_var": "<string>"
                }
              },
              "idp_discovery_endpoint": "<string>",
              "token_endpoint": "<string>"
            }
          ]
        },
        "quality_of_service": {
          "tier": "UNDEFINED",
          "spec": {
            "queueing_budget": "<string>"
          }
        },
        "raw_output_data_config": {
          "output_location_prefix": "<string>"
        },
        "max_parallelism": 123,
        "interruptible": true,
        "overwrite_cache": true,
        "envs": {
          "values": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ]
        },
        "execution_env_assignments": [
          {
            "node_ids": [
              "<string>"
            ],
            "task_type": "<string>",
            "execution_env": {
              "name": "<string>",
              "type": "<string>",
              "extant": {},
              "spec": {},
              "version": "<string>"
            }
          }
        ],
        "cluster_assignment": {
          "cluster_pool_name": "<string>"
        },
        "concurrency_policy": {
          "max": 123,
          "behavior": "CONCURRENCY_LIMIT_BEHAVIOR_UNSPECIFIED"
        }
      },
      "closure": {
        "state": "INACTIVE",
        "expected_inputs": {
          "parameters": {}
        },
        "expected_outputs": {
          "variables": {}
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "token": "<string>"
}

Path Parameters

project
string
required

Name of the project that contains the identifiers. +required.

domain
string
required

Name of the domain the identifiers belongs to within the project. +required.

Query Parameters

limit
integer<int64>

Indicates the number of resources to be returned. +required.

token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. +optional

sort_by.key
string

Indicates an attribute to sort the response values. +required

sort_by.direction
enum<string>
default:DESCENDING

Indicates the direction to apply sort key for response values. +optional

  • DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING,
ASCENDING
org
string

Optional, org key applied to the resource.

Response

A successful response.

launch_plans
object[]
token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. If there are no more results, this value will be empty.